diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 43953238cd..4b34a38797 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -34,6 +34,7 @@ (define-module (gnu packages chemistry)
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages backup)
+  #:use-module (gnu packages base)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
@@ -41,10 +42,12 @@ (define-module (gnu packages chemistry)
   #:use-module (gnu packages cpp)
   #:use-module (gnu packages documentation)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages fonts)
   #:use-module (gnu packages fontutils)
   #:use-module (gnu packages gcc)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages graphviz)
+  #:use-module (gnu packages gtk)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages image)
   #:use-module (gnu packages maths)
@@ -56,6 +59,7 @@ (define-module (gnu packages chemistry)
   #:use-module (gnu packages qt)
   #:use-module (gnu packages serialization)
   #:use-module (gnu packages sphinx)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages stb)
   #:use-module (gnu packages tex)
   #:use-module (gnu packages web)
@@ -1101,3 +1105,177 @@ (define-public ringdecomposerlib
 unique ring families, relevant cycles, the smallest set of smallest rings and
 other ring topology descriptions.")
     (license license:bsd-3)))
+
+(define-public rdkit
+  (package
+    (name "rdkit")
+    (version "2022.03.5")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/rdkit/rdkit")
+                    (commit
+                     (string-append
+                      "Release_" (string-replace-substring version "." "_")))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "19idgilabh04cbr1qj6zgrgsfjm248mmfz6fsr0smrd68d0xnml9"))
+              (patches
+               (search-patches "rdkit-cmake-external-dependencies.patch"))
+              (modules '((guix build utils)))
+              (snippet
+               #~(begin
+                   ;; Remove pickle files (only used in tests),
+                   ;; as they are compiled programs
+                   (for-each
+                    (lambda (name)
+                      (display (string-append name "\n"))
+                      (delete-file name))
+                    (find-files "." "\\.pkl(\\.gz)?$"))
+                   ;; Remove SQLite data files (can be generated)
+                   (delete-file "Data/RDData.sqlt")
+                   (delete-file "Data/RDTests.sqlt")))))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      #:imported-modules (append %cmake-build-system-modules
+                                 '((guix build python-build-system)))
+      #:modules '((guix build cmake-build-system)
+                  (guix build utils)
+                  ((guix build python-build-system)
+                   #:select (add-installed-pythonpath)))
+      #:configure-flags
+      #~(list
+         "-DRDK_BUILD_AVALON_SUPPORT=ON"
+         "-DRDK_BUILD_CAIRO_SUPPORT=ON"
+         "-DRDK_BUILD_CPP_TESTS=ON"
+         "-DRDK_BUILD_FREESASA_SUPPORT=ON"
+         "-DRDK_BUILD_INCHI_SUPPORT=ON"
+         "-DRDK_BUILD_YAEHMOP_SUPPORT=ON"
+         (string-append "-DCATCH_DIR="
+                        #$(this-package-native-input "catch2")
+                        "/include/catch2")
+         "-DRDK_INSTALL_DEV_COMPONENT=ON"
+         "-DRDK_INSTALL_INTREE=OFF"
+         "-DRDK_INSTALL_STATIC_LIBS=OFF"
+         (string-append
+          "-DRDK_OPTIMIZE_POPCNT="
+          #$(let ((system (or (%current-target-system)
+                              (%current-system))))
+              (cond
+               ((string-prefix? "x86_64" system) "ON")
+               ((string-prefix? "i686" system) "ON")
+               (else "OFF"))))
+         "-DRDK_USE_BOOST_IOSTREAMS=ON"
+         "-DRDK_USE_FLEXBISON=ON")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'copy-external-dependencies
+            (lambda _
+              (symlink
+               (string-append
+                #$(this-package-input "font-comic-neue")
+                "/share/fonts/truetype/ComicNeue-Regular.ttf")
+               "Data/Fonts/ComicNeue-Regular.ttf")))
+          (add-after 'copy-external-dependencies 'patch-source
+            (lambda _
+              (substitute* "External/AvalonTools/CMakeLists.txt"
+                (("^if\\(NOT RDK_BUILD" orig)
+                 (string-append "if(0)\n" orig))
+                (("include_directories.*AVALON_SRC_PATH.*")
+                 (string-append "endif()\ninclude_directories("
+                                #$avalontoolkit "/include/avalontoolkit)\n"))
+                (("LINK_LIBRARIES avalon_clib")
+                 (string-append
+                  "LINK_LIBRARIES -L" #$avalontoolkit "/lib -lavalontoolkit")))
+              (let ((port
+                     (open-file "External/RingFamilies/dummy.cpp" "w")))
+                (display "" port)
+                (close port))
+              (let ((port
+                     (open-file "External/RingFamilies/CMakeLists.txt" "w")))
+                (display (string-append
+                          "rdkit_library(RingDecomposerLib dummy.cpp SHARED"
+                          " LINK_LIBRARIES -lRingDecomposerLib)\n"
+                          "set(RDK_URF_LIBS RingDecomposerLib CACHE STRING \"\" FORCE)\n")
+                         port)
+                (close port))
+              (substitute* "Code/GraphMol/MolInterchange/CMakeLists.txt"
+                (("if\\(NOT" orig)
+                 (string-append "if(0)\n" orig))
+                (("^include_directories.*") "endif()\n"))
+              (substitute* "External/YAeHMOP/EHTTools.cpp"
+                (("<yaehmop/tightbind/bind.h>") "<yaehmop/bind.h>"))))
+          (add-after 'unpack 'fix-inchi-include
+            (lambda _
+              (substitute* "Code/cmake/Modules/FindInchi.cmake"
+                (("inchi_api.h.*\\)") "inchi/inchi_api.h)")
+                (("INCHI_LIBRARY NAMES.*\\)")
+                 "INCHI_LIBRARY NAMES inchi PATH_SUFFIXES inchi)")
+                (("find_library" prev)
+                 (string-append
+                  "list(APPEND CMAKE_FIND_LIBRARY_SUFFIXES .so.1)\n"
+                  prev)))
+              (substitute* "External/INCHI-API/inchi.cpp"
+                (("<inchi_api.h>") "<inchi/inchi_api.h>"))))
+          (add-before 'build 'enable-bytecode-determinism
+              (lambda _
+                (setenv "PYTHONHASHSEED" "0")
+                (setenv "PYTHONDONTWRITEBYTECODE" "1")))
+          (add-after 'install 'pre-check
+            (lambda* (#:key inputs outputs #:allow-other-keys)
+              (with-directory-excursion "../source"
+                (invoke "sqlite3" "Data/RDData.sqlt"
+                        ".read rdkit/Dbase/test_data/RDData.sqlite")
+                (invoke "sqlite3" "Data/RDTests.sqlt"
+                        ".read rdkit/Dbase/test_data/RDTests.sqlite")
+                (setenv "RDBASE" (canonicalize-path ".")))
+              (add-installed-pythonpath inputs outputs)))
+          (delete 'check)
+          (add-after 'pre-check 'check
+            (lambda* (#:key tests? parallel-tests? #:allow-other-keys)
+              (when tests?
+                (let ((job-count (number->string
+                                  (if parallel-tests? (parallel-job-count) 1))))
+                  (invoke
+                   "ctest" "-j" job-count
+                   "-E" (string-append
+                         "(" (string-join
+                              '(;; need pickled data
+                                "(pyDiscreteValueVect" "pySparseIntVect"
+                                "graphmoltestPickler" "pyPartialCharges"
+                                "substructLibraryTest" "pyFeatures"
+                                "pythonTestDirML" "pythonTestDirChem"
+                                ;; Catching Python exception fails
+                                "pyRanker)") "|") ")")))))))))
+    (native-inputs
+     (list bison
+           boost
+           catch2
+           eigen
+           flex
+           freesasa
+           pkg-config
+           rapidjson
+           tar))
+    (inputs
+     (list avalontoolkit
+           cairo
+           coordgenlibs
+           font-comic-neue
+           freetype
+           inchi
+           maeparser
+           python
+           ringdecomposerlib
+           sqlite
+           yaehmop))
+    (propagated-inputs
+     (list python-numpy python-cairocffi python-pillow))
+    (home-page "https://rdkit.org/")
+    (synopsis "Collection of cheminformatics software")
+    (description "RDKit is a C++ and Python library for cheminformatics, which
+includes (among other things) the analysis and modification of molecules in 2D
+and 3D and descriptor generation for machine learning.")
+    (license license:bsd-3)))
diff --git a/gnu/packages/patches/rdkit-cmake-external-dependencies.patch b/gnu/packages/patches/rdkit-cmake-external-dependencies.patch
new file mode 100644
index 0000000000..5b73864f51
--- /dev/null
+++ b/gnu/packages/patches/rdkit-cmake-external-dependencies.patch
@@ -0,0 +1,102 @@
+diff -ur a/External/FreeSASA/CMakeLists.txt b/External/FreeSASA/CMakeLists.txt
+--- a/External/FreeSASA/CMakeLists.txt
++++ b/External/FreeSASA/CMakeLists.txt
+@@ -10,7 +10,7 @@
+   endif()
+ endif()
+ 
+-if(needDownload)
++if(FALSE)
+   # don't actually use the md5 here
+   set(FREESASA_VERSION "2.0.3")
+   set(FREESASA_SRC_DIR "${CMAKE_CURRENT_SOURCE_DIR}/freesasa-${FREESASA_VERSION}")
+@@ -66,24 +66,24 @@
+ endif()
+ 
+ set (freesasa_h ${FREESASA_SRC_DIR}/src/freesasa.h)
+-file(READ ${freesasa_h} freesasa_h_data)
++#file(READ ${freesasa_h} freesasa_h_data)
+ string(REGEX REPLACE "(#include <stdio.h>)" "\\1\n#include <RDGeneral/export.h>" freesasa_h_data "${freesasa_h_data}")
+ string(REGEX REPLACE "([^R][^D][^K][^I][^T][^_][^F][^R][^E][^E][^S][^A][^S][^A][^_][^C][^L][^I][^B][^_][^E][^X][^P][^O][^R][^T][^ ])(extern const)" "\\1RDKIT_FREESASA_CLIB_EXPORT \\2" freesasa_h_data "${freesasa_h_data}")
+-file(WRITE ${freesasa_h} "${freesasa_h_data}")
++#file(WRITE ${freesasa_h} "${freesasa_h_data}")
+ 
+ add_definitions(-DUSE_THREADS=0)
+ add_definitions(-DUSE_JSON=0)
+ add_definitions(-DUSE_XML=0)
+-rdkit_library(freesasa_clib ${freesasa_clib_srcs})
+-target_compile_definitions(freesasa_clib PRIVATE RDKIT_FREESASALIB_BUILD)
++#rdkit_library(freesasa_clib ${freesasa_clib_srcs})
++#target_compile_definitions(freesasa_clib PRIVATE RDKIT_FREESASALIB_BUILD)
+ 
+ if((MSVC AND RDK_INSTALL_DLLS_MSVC) OR ((NOT MSVC) AND WIN32))
+   set_target_properties(freesasa_clib PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
+ endif()
+-include_directories("${FREESASA_SRC_DIR}/src")
++#include_directories("${FREESASA_SRC_DIR}/src")
+ 
+ rdkit_library(FreeSASALib RDFreeSASA.cpp SHARED 
+-    LINK_LIBRARIES freesasa_clib GraphMol )
++    LINK_LIBRARIES -lfreesasa GraphMol )
+ target_compile_definitions(FreeSASALib PRIVATE RDKIT_FREESASALIB_BUILD)
+ 
+ rdkit_headers(RDFreeSASA.h DEST GraphMol)
+diff -ur a/External/YAeHMOP/CMakeLists.txt b/External/YAeHMOP/CMakeLists.txt
+--- a/External/YAeHMOP/CMakeLists.txt
++++ b/External/YAeHMOP/CMakeLists.txt
+@@ -18,32 +18,32 @@
+ 
+ include_directories( ${RDKit_ExternalDir}/YAeHMOP )
+ 
+-ExternalProject_Add(yaehmop_project
+-  GIT_REPOSITORY https://github.com/greglandrum/yaehmop.git
+-  GIT_TAG master
+-  UPDATE_COMMAND ""
+-  PATCH_COMMAND ""
+-  PREFIX ${CMAKE_CURRENT_SOURCE_DIR}
+-  SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/yaehmop"
+-  SOURCE_SUBDIR "tightbind"
+-  CMAKE_ARGS -DUSE_BLAS_LAPACK=OFF -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR} -DCMAKE_C_FLAGS=${CMAKE_C_FLAGS} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
+-  TEST_COMMAND "")
+-
+-include_directories(${PROJECT_BINARY_DIR}/include)
+-link_directories(${PROJECT_BINARY_DIR}/lib)
+-link_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build)
+-
+-set(EHT_PARAM_FILE ${CMAKE_CURRENT_SOURCE_DIR}/yaehmop/tightbind/eht_parms.dat )
+-install(FILES ${EHT_PARAM_FILE}
+-        DESTINATION ${RDKit_ShareDir}/Data
+-        COMPONENT data)
++#ExternalProject_Add(yaehmop_project
++#  GIT_REPOSITORY https://github.com/greglandrum/yaehmop.git
++#  GIT_TAG master
++#  UPDATE_COMMAND ""
++#  PATCH_COMMAND ""
++#  PREFIX ${CMAKE_CURRENT_SOURCE_DIR}
++#  SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/yaehmop"
++#  SOURCE_SUBDIR "tightbind"
++#  CMAKE_ARGS -DUSE_BLAS_LAPACK=OFF -DCMAKE_INSTALL_PREFIX=${PROJECT_BINARY_DIR} -DCMAKE_C_FLAGS=${CMAKE_C_FLAGS} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
++#  TEST_COMMAND "")
++
++#include_directories(${PROJECT_BINARY_DIR}/include)
++#link_directories(${PROJECT_BINARY_DIR}/lib)
++#link_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build)
++
++#set(EHT_PARAM_FILE ${CMAKE_CURRENT_SOURCE_DIR}/yaehmop/tightbind/eht_parms.dat )
++#install(FILES ${EHT_PARAM_FILE}
++#        DESTINATION ${RDKit_ShareDir}/Data
++#        COMPONENT data)
+ 
+-message("YAeHMOP include_dirs: ${PROJECT_BINARY_DIR}/include")
+-message("YAeHMOP link_dirs: ${PROJECT_BINARY_DIR}/lib ${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build")
++#message("YAeHMOP include_dirs: ${PROJECT_BINARY_DIR}/include")
++#message("YAeHMOP link_dirs: ${PROJECT_BINARY_DIR}/lib ${CMAKE_CURRENT_SOURCE_DIR}/src/yaehmop_project-build")
+ 
+-rdkit_library(EHTLib EHTTools.cpp SHARED LINK_LIBRARIES yaehmop_eht GraphMol )
++rdkit_library(EHTLib EHTTools.cpp SHARED LINK_LIBRARIES -lyaehmop_eht GraphMol )
+ target_compile_definitions(EHTLib PRIVATE RDKIT_EHTLIB_BUILD)
+-add_dependencies(EHTLib yaehmop_project)
++#add_dependencies(EHTLib yaehmop_project)
+ rdkit_headers(EHTTools.h DEST GraphMol)
+ rdkit_catch_test(testEHTLib1 test1.cpp
+            LINK_LIBRARIES EHTLib FileParsers SmilesParse )